Error Loading Nvidia Drivers with Xorg and Unity

Asked by Phillip J Bialor on 2013-09-04

Unity won't load and I can't get my system to use Nvidia Drivers so that it might load. Everytime I use jockey there is an error when I try to activate the drivers. When I try to get Xorg to use the drivers it says that the XConfig file doesn't exist.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: xorg 1:7.7+1ubuntu4
ProcVersionSignature: Ubuntu 3.8.0-29.42-generic 3.8.13.5
Uname: Linux 3.8.0-29-generic x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 310.44 Wed Mar 27 14:51:30 PDT 2013
 GCC version: gcc version 4.7.3 (Ubuntu/Linaro 4.7.3-1ubuntu1)
ApportVersion: 2.9.2-0ubuntu8.3
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Tue Sep 3 06:54:34 2013
DistUpgraded: 2013-09-02 14:16:55,014 DEBUG got a conffile-prompt from dpkg for file: '/etc/gnome/defaults.list'
DistroCodename: raring
DistroVariant: ubuntu
DkmsStatus:
 nvidia-310-updates, 310.44, 3.8.0-29-generic, x86_64: installed
 virtualbox, 4.2.10, 3.5.0-39-generic, x86_64: installed
 virtualbox, 4.2.10, 3.8.0-29-generic, x86_64: installed
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:04ba]
 NVIDIA Corporation GF116M [GeForce GT 560M] [10de:1251] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:04ba]
InstallationDate: Installed on 2012-04-15 (506 days ago)
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
JockeyStatus:
 kmod:nvidia_310_updates - nvidia_310_updates (Proprietary, Enabled, Not in use)
 kmod:nvidia_313_updates - NVIDIA binary Xorg driver, kernel module and VDPAU library (Proprietary, Disabled, Not in use)
 kmod:nvidia_304 - NVIDIA binary Xorg driver, kernel module and VDPAU library (Proprietary, Disabled, Not in use)
 kmod:nvidia_304_updates - NVIDIA binary Xorg driver, kernel module and VDPAU library (Proprietary, Disabled, Not in use)
 kmod:nvidia_310 - NVIDIA binary Xorg driver, kernel module and VDPAU library (Proprietary, Disabled, Not in use)
MachineType: Alienware M17xR3
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-29-generic root=UUID=b231aef2-56fe-4b76-8b86-bb3da521c4b6 ro plymouth:debug splash quiet drm.debug=0xe
SourcePackage: xorg
UnitySupportTest:
 Error: command ['/usr/lib/nux/unity_support_test', '-p', '-f'] failed with exit code 5: Xlib: extension "GLX" missing on display ":0.0".
 Error: GLX is not available on the system
UpgradeStatus: Upgraded to raring on 2013-09-02 (0 days ago)
dmi.bios.date: 07/29/2011
dmi.bios.vendor: Alienware
dmi.bios.version: A08
dmi.board.name: M17xR3
dmi.board.vendor: Alienware
dmi.board.version: A08
dmi.chassis.type: 8
dmi.chassis.vendor: Alienware
dmi.chassis.version: A08
dmi.modalias: dmi:bvnAlienware:bvrA08:bd07/29/2011:svnAlienware:pnM17xR3:pvrA08:rvnAlienware:rnM17xR3:rvrA08:cvnAlienware:ct8:cvrA08:
dmi.product.name: M17xR3
dmi.product.version: A08
dmi.sys.vendor: Alienware
version.compiz: compiz 1:0.9.9~daily13.06.19~13.04-0ubuntu1
version.ia32-libs: ia32-libs 20090808ubuntu36
version.libdrm2: libdrm2 2.4.43-0ubuntu1.1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.1.3-0ubuntu0.3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.1.3-0ubuntu0.3
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.13.3-0ubuntu6
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu2b2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.1.0-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.21.6-0ubuntu4.1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.7-0ubuntu1

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu xorg Edit question
Assignee:
No assignee Edit question
Last query:
2013-09-04
Last reply:
2013-09-04

Not a bug. User has Optimus graphics and has incorrectly configured his/her system.

GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated
 NVIDIA Corporation GF116M [GeForce GT 560M]

You have Optimus/hybrid graphics, so installing the nvidia driver directly will not work (as you;ve discoverd). You need to remove the nvidia driver and install Bumblebee: https://wiki.ubuntu.com/Bumblebee

Can you help with this problem?

Provide an answer of your own, or ask Phillip J Bialor for more information if necessary.

To post a message you must log in.